curl --request GET \
--url https://payout-api.cashfree.com/payout/v1/asyncValidation/bankDetails \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://payout-api.cashfree.com/payout/v1/asyncValidation/bankDetails"
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'}
};
fetch('https://payout-api.cashfree.com/payout/v1/asyncValidation/bankDetails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "SUCCESSS",
"subCode": 200,
"message": "Validation request accepted successfully",
"data": {
"bvRefId": 1097292
}
}{
"status": "ERROR",
"subCode": 422,
"message": "Please provide a valid IFSC code"
}Bank Verification Async
Use this API to validate the given bank account number and IFSC. This is an async verification request.
Query Parameters
It is the name of the account holder to be validated. Only alphanumeric and white spaces are accepted. A maximum of 100 characters are allowed.
"Harshit"
It is the phone number of the bank account holder.
"026291800001191"
It is the bank account number to be validated (6 to 40 character limit).
"YESB0000262"
The IFSC information of the bank account to be validated. It should be an alphanumeric value of 11 characters. The first 4 characters should be alphabets, the 5th character should be a 0, and the remaining 6 characters should be numerals.
"8349102770"
You can add custom remarks in the API request. These remarks will be visible in the customer's bank statement corresponding to the penny drop transaction. A maximum of 25 characters are allowed.
""
It it the unique ID to identify the bank verification user. Only alphanumeric and underscore (_) are accepted. A maximum of 40 characters are allowed.
"A1011"
Response
Accepted
It represents the status of the API request.
"SUCCESSS"
It represents the sub code of the API request.
200
It represents the message of the API request.
"Validation request accepted successfully"
It contains the bank verification reference ID.
Show child attributes
Show child attributes
Was this page helpful?